Datacenters#

Get datacenter information

Endpoint#

POST

https://vulcan.api.synmax.com/v1/datacenters

Python Method Name#

from synmax.vulcan.v2 import VulcanApiClient
vulcan_api_client = VulcanApiClient(access_token=access_token)

# Method name:

vulcan_api_client.datacenters()

Parameters#

Query#

Parameters

Type

Description

Example

iso_rto_region

object

_

[‘ERCOT’]

latitude_max

number

Maximum latitude (global)

90

latitude_min

number

Minimum latitude (global)

-90

longitude_max

number

Maximum longitude (global)

180

longitude_min

number

Minimum longitude (global)

-180

plant_status

object

_

[‘Under Construction’]

sic_product

object

_

[‘Hyperscale Data Center’]

state

object

_

[‘Texas’, ‘Virginia’]

unit_capacity_max

number

Maximum unit capacity in megawatts (MW)

200

unit_capacity_min

number

Minimum unit capacity in megawatts (MW)

50

unit_status

object

_

[‘Engineered’]

Aggregation#

aggregate_by

Fields to aggregate the results by. This enables grouping and summarization of data. For example, aggregating by state will show the count and total capacity of facilities in each state.

Supported Parameters: state, owner_name, plant_status, vulcan_construction_status, unit_status, vintage

aggregation_type

Type of aggregation to perform on numeric fields like unit_capacity. - sum: Total capacity across all facilities in each group - avg/average: Average capacity per facility in each group - count: Number of facilities in each group - min/max: Minimum/maximum capacity in each group

Supported Parameters: sum, avg, average, count, min, max

Response#

Parameters

Type

Description

Example

construction_start

string

Start date of construction for a given data center

2023-08-20

first_structures

string

Date where the first permanent structures are identified for a given data center

7/12/2023

iso_rto_region

string

IIR data center unit capacity in megawatts (MW)

ERCOT

land_cleared

string

Date of first land cleared for a given data center

2023-03-19

latest_image

string

Date of the latest available satellite image

2025-04-27

latitude

number

EIA plant latitude

33.0225

longitude

number

EIA plant longitude

-102.709

notes

string

Observations or relevant data center comments after reviewing satellite images

land cleared

owner_name

string

IIR owner of data center

CloudHQ LLC

plant_id

integer

IIR plant id

68847

plant_name

string

IIR plant name

1000 Mile Solar

plant_status

string

IIR construction status of the data center

[‘Under Construction’]

sic_product

string

IIR SIC product of data center

Hyperscale Data Center

source

string

The source of data center data

EIA

startup_date

string

IIR online date for a given data center

2026-07-31

state

string

IIR data center state

TX

synmax_id

string

A unique key of plant id and unit id

68847-PV1

unit_capacity

number

IIR data center unit capacity in megawatts (MW)

108

unit_id

integer

IIR id given to each unit for a given data center

2548109

unit_name

string

IIR name of each unit for a given data center

LC11DC1

unit_status

string

IIR construction status of the unit for a given data center

Engineered

utype_desc

string

IIR type of data center

Hyperscale Data Center

vintage

string

Date of each update to the dataset

2025-04-28

vulcan_construction_status

string

Indicates if a data center has been observed to be under construction

Confirmed

vulcan_earliest_online

string

The earliest possible date a data center is projected to be operational

2/7/2024

vulcan_latest_online

string

The latest possible date a data center is projected to be operational

7/24/2027

vulcan_status_change_date

string

Date of which the data center status was changed to under construction

2025-05-29